# Generated by Django 3.1.7 on 2021-03-13 10:48

from django.db import migrations, models
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Log',
            fields=[
                ('id', models.UUIDField(db_index=True, default=uuid.uuid4, primary_key=True, serialize=False, unique=True)),
                ('request_method', models.CharField(blank=True, max_length=155, null=True)),
                ('remote_addr', models.CharField(blank=True, max_length=155, null=True)),
                ('path_info', models.TextField(blank=True, null=True)),
                ('params', models.TextField(blank=True, null=True)),
                ('headers', models.TextField(blank=True, null=True)),
                ('user', models.CharField(blank=True, max_length=155, null=True)),
                ('status_code', models.PositiveSmallIntegerField(blank=True, null=True)),
                ('reason_phrase', models.CharField(blank=True, max_length=155, null=True)),
                ('user_errors', models.TextField(blank=True, null=True)),
                ('begin_date', models.DateTimeField(auto_now_add=True, null=True)),
                ('end_date', models.DateTimeField(auto_now=True, null=True)),
                ('exc_type', models.CharField(blank=True, max_length=155, null=True)),
                ('exc_value', models.TextField(blank=True, null=True)),
                ('exc_traceback', models.TextField(blank=True, null=True)),
            ],
        ),
    ]
